﻿

namespace IRaCIS.Core.Domain.Share
{
    public enum ReadingCategory
    {
       //访视
        Visit=1,

        //阅片周期
        ReadingPeriod=2,

        //全局
        Global=3,

        //裁判
        Judge=4
    }

    public enum TaskState
    {
        //未分配
        NotAllocate = 0,


        InitAllocated = 1,

        //已分配
        Allocated = 2,
    }

    public enum Arm
    {
        SingleReadingArm=0,

        DoubleReadingArm1 = 1,

        DoubleReadingArm2 = 2,

        JudgeArm=3
    }

    /// <summary>
    /// 分配对象
    /// </summary>
    public enum TaskAllocateObj
    {
        Subject=0,

        SubjectVisit=1
    }

    //分配默认状态
    public enum TaskAllocateDefaultState
    {
        //默认值  看是否需要项目初始化时就给默认值 1 或者2 
        None =0,

        //预分配
        InitAllocated = 1,

        //已分配
        Allocated = 2,
    }

    public enum ReadingMethod
    {
        Single=1,

        Double=2,

        Special=3
    }

    public enum ReadingTaskViewMethod
    {
        //受试者
        Subject = 0,

        //访视/阅片期
        ReadingPeriodOrVisit = 2,

    }

    //阅片状态
    public enum ReadingTaskState
    {
        WaitReading=0,

        Reading=1,

        HaveSigned=2
    }

    //
    public enum RequestReReadingType
    {
        Default = 0,

        DocotorApply = 1,

        TrialGroupApply = 2
    }

    //重阅申请结果

    public enum RequestReReadingResult
    {
        Default = 0,

        Agree = 1,

        Reject = 2
    }

    


}
